Powered by Stockfish 17 lite NNUE. Free API access is available; paid subscriptions are not enabled.
Documentation / API reference
POST /v1/signup
- Auth
- none required
Request body
| Field | Type | Default | Notes |
|---|---|---|---|
email * | string | ||
name | string | ||
agent | string | ||
source | string |
curl -s https://stockfishapi.com/v1/signup \
-H "Authorization: Bearer $STOCKFISH_API_KEY" \
-H "Content-Type: application/json" \
-d '{"email":"you@example.com"}' const res = await fetch("https://stockfishapi.com/v1/signup", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.STOCKFISH_API_KEY}`, "Content-Type": "application/json" },
body: JSON.stringify({
"email": "you@example.com"
}),
});
const data = await res.json(); import os, requests
r = requests.post(
"https://stockfishapi.com/v1/signup",
headers={"Authorization": f"Bearer {os.environ['STOCKFISH_API_KEY']}"},
json={
"email": "you@example.com"
},
)
data = r.json() Responses
| Status | Meaning |
|---|---|
201 | Key issued |
Errors follow problem+json with next_action.